package gov.nlrb.mobile
{

	[Bindable]
	public class Singleton
	{
		
		/** Only one instance of the model locator **/
		
		private static var instance:Singleton = new Singleton();
		
		/** Bindable Data **/
		
		//public var version:String;
		//public var lastLoaded:Date;
		//public var jsonContent:Object;
		//public var regionoffices:Object;
		public var sessiondata:Object;
		public var maincontent:Object;
		
		
		public function Singleton()
		{
			if(instance)
			{
				throw new Error ("We cannot create a new instance. Please use Singleton.getInstance()");
			}
		}
		
		public static function getInstance():Singleton
		{
			return instance;
		}
		
	}
}